import { FC } from 'react';
import { ListType, TreeData } from '../base-tree-selection';
import { Env } from '../../tree-selection';
export interface AdvanceTreeSelectionProps {
    defaultValue?: TreeData[];
    value?: TreeData[];
    showClearButton?: boolean;
    isMultiple?: boolean;
    placeholder?: string;
    listType?: ListType;
    title?: string;
    searchPlaceholder?: string;
    onChange?: (values: TreeData[]) => void;
    getEmployeeOrdepartmentTree: (data?: any) => Promise<any>;
    modalTitle?: string;
    validateFunc?: (values: TreeData[]) => boolean;
    getSearchEmployeeByNameAndPhoneAndEmial: (condition: string, data?: any) => Promise<any>;
    needForm?: boolean;
    readonly?: boolean;
    env?: Env;
}
declare const AdvanceTreeSelection: FC<AdvanceTreeSelectionProps>;
export default AdvanceTreeSelection;
