"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _icon = _interopRequireDefault(require("../icon"));
require("./index.less");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var TreeNode = function TreeNode(props) {
  var _props$isLeaf = props.isLeaf,
    isLeaf = _props$isLeaf === void 0 ? false : _props$isLeaf,
    name = props.name;
  // 根据是否叶子节点来渲染对应的icon
  var renderIcon = function renderIcon(isLeaf) {
    if (!isLeaf) {
      return /*#__PURE__*/_react.default.createElement(_icon.default, {
        type: "icon-bumen"
      });
    }
    return /*#__PURE__*/_react.default.createElement(_icon.default, {
      type: "icon-yuangong"
    });
  };
  return /*#__PURE__*/_react.default.createElement("span", {
    className: "tree-node"
  }, renderIcon(isLeaf), /*#__PURE__*/_react.default.createElement("span", {
    className: "tree-node-name"
  }, name));
};
var _default = exports.default = TreeNode;