import { FC } from 'react';
import { Env } from './tree-selection';
import { TreeData } from './components';
export interface DepartmentSelectionProps {
    value?: TreeData[];
    showClearButton?: boolean;
    isMultiple?: boolean;
    placeholder?: string;
    readonly?: boolean;
    onChange?: (values: TreeData[]) => void;
    validateFunc?: (values: TreeData[]) => boolean;
    env?: Env;
    needForm?: boolean;
    className?: string;
}
declare const DepartmentSelection: FC<DepartmentSelectionProps>;
export default DepartmentSelection;
