"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _components = _interopRequireDefault(require("./components"));
var _stores = require("./stores");
var _excluded = ["onChange", "value", "validateFunc"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var getEmployeeOrdepartmentTree = _stores.employeeStore.getEmployeeOrdepartmentTree,
  getSearchEmployeeByNameAndPhoneAndEmial = _stores.employeeStore.getSearchEmployeeByNameAndPhoneAndEmial;
var EmployeeSelection = function EmployeeSelection(props) {
  var onChange = props.onChange,
    value = props.value,
    validateFunc = props.validateFunc,
    restProps = _objectWithoutProperties(props, _excluded);
  return /*#__PURE__*/_react.default.createElement(_components.default, _extends({
    onChange: onChange,
    value: value,
    listType: "employee",
    title: "\u5DF2\u9009\u62E9\u7684\u5458\u5DE5",
    searchPlaceholder: "\u8BF7\u8F93\u5165\u5458\u5DE5",
    validateFunc: validateFunc,
    modalTitle: "\u9009\u62E9\u5458\u5DE5",
    getEmployeeOrdepartmentTree: getEmployeeOrdepartmentTree,
    getSearchEmployeeByNameAndPhoneAndEmial: getSearchEmployeeByNameAndPhoneAndEmial
  }, restProps));
};
var _default = exports.default = EmployeeSelection;