"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _api = require("../api");
var _httpClient = require("../utils/httpClient");
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
var EmployeetStore = /*#__PURE__*/function () {
  function EmployeetStore() {
    _classCallCheck(this, EmployeetStore);
  }
  return _createClass(EmployeetStore, [{
    key: "getSearchResultByname",
    value: function getSearchResultByname(name, env) {
      return (0, _httpClient.post)(_api.employeeMap.get('SEARCH'), {
        name: name
      }, env);
    }
  }, {
    key: "getEmployeeOrdepartmentTree",
    value: function getEmployeeOrdepartmentTree(env) {
      return (0, _httpClient.get)(_api.employeeMap.get('TREE'), {}, env);
    }
  }, {
    key: "getSearchEmployeeByNameAndPhoneAndEmial",
    value: function getSearchEmployeeByNameAndPhoneAndEmial(condition, env) {
      return (0, _httpClient.post)(_api.employeeMap.get('CONDITION'), {
        condition: condition,
        customerType: 2
      }, env);
    }
  }]);
}();
var _default = exports.default = new EmployeetStore();